# Uses of Interface
org.eclipse.emf.cdo.CDOLock

Packages that use CDOLock
Package
Description
org.eclipse.emf.cdo
Client concepts like `CDOObject` and `CDOState`.
org.eclipse.emf.internal.cdo
Exposes `CDOObjectImpl` for extension in generated EMF models.

## Uses of CDOLock in org.eclipse.emf.cdo

Methods in org.eclipse.emf.cdo that return CDOLock
Modifier and Type
Method
Description
`CDOLock`
CDOObject.`cdoReadLock()`
Returns the read lock associated with this object.
`CDOLock`
CDOObject.`cdoWriteLock()`
Returns the write lock associated with this object.
`CDOLock`
CDOObject.`cdoWriteOption()`
Returns the write option associated with this object.
`CDOLock`
CDOLock.CDOAcquiredLock.`getLock()`

## Uses of CDOLock in org.eclipse.emf.internal.cdo

Methods in org.eclipse.emf.internal.cdo that return CDOLock
Modifier and Type
Method
Description
`final CDOLock`
CDOObjectImpl.`cdoReadLock()`
`final CDOLock`
CDOObjectImpl.`cdoWriteLock()`
`final CDOLock`
CDOObjectImpl.`cdoWriteOption()`
`static CDOLock`
CDOObjectImpl.`createLock(InternalCDOObject object, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType type)`